%define xorgversion 7.3

%define xorgold xorg-x11
%define xf86 XFree86

%def_disable	static
%def_disable	ipv6
%def_disable	loadable_i18n
%def_disable	xlocaledir
%def_without	xcb

Name: libX11
Version: 1.1.1
Release: alt4
Serial: 2
Summary: X11 Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org
Source: %name-%version.tar.bz2

Patch0: libX11-1.0.99.2-alt-locale-ru_RU.utf8.patch
Patch1: libX11-0.99.3-alt-xls_locale_en_US.patch
Patch3: libX11-1.0.99.2-alt-i18n-cp866.patch
Patch4: libX11-1.0.3-alt-datadir.patch

Patch100: libX11-1.1.1-git-file-descriptor-leak.patch
Patch101: libX11-1.1.1-git-XSetSizeHintset-bug7703.patch

Patch1000: libX11-1.1.1-CVE-2007-1667.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

PreReq: filesystem > 2.3.1-alt1
Requires: %name-locales = %version-%release

BuildRequires: libXdmcp-devel libXau-devel pkg-config xorg-x11-xtrans-devel
BuildRequires: xorg-x11-util-macros
%if_with xcb
BuildRequires: libxcb-devel
%endif

%description
X11 Library

%package devel
Summary: X11 Libraries and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release libXdmcp-devel libXau-devel
%if_with xcb
Requires: libxcb-devel
%endif
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%package locales
Summary: Xorg locales
Group: System/Internationalization
Obsoletes: %xf86-locales %xorgold-locales
Provides: %xf86-locales = 4.4 %xorgold-locales = %xorgversion-%release
Conflicts: %name <= 1.1.1-alt2

%description locales
This package contains set of Xorg locales.

%prep
%setup -q

%patch0 -p0
%patch1 -p0
%patch3 -p1
%patch4 -p1

%patch100 -p1
%patch101 -p1

%patch1000 -p1

%build
%__autoreconf
%configure \
	%{subst_enable ipv6} \
	%{subst_enable static} \
	%{subst_enable loadable_i18n} \
	%{subst_enable xlocaledir} \
	%{subst_with xcb}
%make_build

%install
%make DESTDIR=%buildroot install

%if_enabled loadable_i18n
%__rm -f %buildroot%_libdir/X11/locale/common/*.la
%endif

# ld.so.conf.d xorg-6.9 compatibility
%__mkdir_p %buildroot%_sysconfdir/ld.so.conf.d
echo "%_prefix/X11R6/%_lib" > %buildroot%_sysconfdir/ld.so.conf.d/xorg6.9-compat.conf

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_sysconfdir/ld.so.conf.d/xorg6.9-compat.conf
%_libdir/*.so.*
%if_enabled loadable_i18n
%_libdir/X11/locale
%endif
%dir %_datadir/X11
%_datadir/X11/X*

%files devel
%_includedir/X11/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_man3dir/*

%files locales
%_datadir/X11/locale

%changelog
* Wed Apr 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt4
- fixed CVE-2007-1667
- added libX11-1.1.1-git-XSetSizeHintset-bug7703.patch: Fixed XSetSizeHints()
  et al wrt use of uninitialized data.

* Tue Apr 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt3
- move locales to subpackage %name-locales

* Sun Mar 18 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt2
- added libX11-1.1.1-git-file-descriptor-leak.patch

* Fri Dec 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1.1-alt1
- 1.1.1

* Fri Nov 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.1-alt1
- 1.1

* Sat Nov 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.99.2-alt1
- 1.0.99.2

* Sun Oct 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.3-alt5
- added libX11-1.0.3-git-fix_leaks_in_GetKeyboardByName.patch,
	libX11-1.0.3-git-bug2286.patch

* Wed Oct 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.3-alt4
- added libX11-1.0.3-git-double-open.patch:
	+ fix double open of compose file.

* Tue Oct 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.3-alt3
- added libX11-1.0.3-git-LockUnlockDisplay.patch

* Wed Oct 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.3-alt2
- rebuild with glibc-2.5

* Wed Sep 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.3-alt1
- 1.0.3

* Mon Sep 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.0.1-alt1
- 1.0.1
- disabled XLOCALEDIR environment variable support

* Sun Sep 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.3-alt2
- enabled XLOCALEDIR environment variable support

* Sun Sep 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.3-alt1
- 1.0.3

* Tue May 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt6
- added patches:
	libX11-1.0.0-NULLdereferences.patch
	libX11-1.0.0-memoryleak.patch
	libX11-1.0.0-coverity.patch

* Wed Feb 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt5
- fixed compatibility directory

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt4
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt3
- fixed requires for %name-devel

* Sun Jan 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt2
- added PreReq filesystem > 2.3.1-alt1

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.4-alt1
- Xorg-7.0RC3

* Sun Nov 20 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:0.99.3-alt0.1
- initial build

